Migrate Elasticsearch resource to use ILM

Auth

Migrates the specified Elasticsearch resource to use ILM.

Path parameters

deployment_id string required

Identifier for the Deployment.

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

Query parameters

validate_only boolean · default: false

When true, does not enable ILM but returns warnings if any applications may lose availability during ILM migration.

Request body

Information to build the ILM policies that will be created

index_patterns object[] required

A locally-unique user-specified id for Kibana

index_pattern string required

Index pattern to which the ILM policy will be applied.

policy_name string required

Name of the policy to create

node_attributes map string to string

Defines the Elasticsearch node attributes for the warm element of the topology

Responses

Standard response

application/json